Subject: Re: bug#52053: 29.0.50; Nonsensical button "C-x C-f" in scratch buffer

From: Robert Pluim <[email-masked]>
Date: Fri, 26 Nov 2021 10:24:22 +0100

>>>>> On Fri, 26 Nov 2021 08:26:54 +0200, Eli Zaretskii <[email-masked]> said:

    >> Date: Thu, 25 Nov 2021 22:45:02 +0000
    >> From: Gregory Heytings <[email-masked]>
    >> cc: [email-masked], [email-masked], [email-masked]
    >> 
    >> Updated patch attached.

    Eli> Thanks.  This approach is fine by me, but the variable you introduced
    Eli> should not be internal, and it probably should be called out in NEWS
    Eli> (in the Lisp section), because I believe the intent was to allow other
    Eli> callers to use it, even though currently we have only one such caller.

So a variable that code can set to say 'use this other variable'?
Again, why not just bind `help-link-key-to-documentation' directly?

Robert
--